Package com.independentsoft.office.drawing

# Class FillEffect

java.lang.Object
com.independentsoft.office.drawing.FillEffect

public class FillEffect extends Object
The Class FillEffect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FillEffect()`
  Instantiates a new fill effect.
  `FillEffect​(InternalXMLStreamReader reader)`
  Instantiates a new fill effect.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FillEffect`
  `clone()`
  `BlendMode`
  `getBlend()`
  Gets the blend.
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `GroupFill`
  `getGroupFill()`
  Gets the group fill.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PictureFill`
  `getPictureFill()`
  Gets the picture fill.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `void`
  `setBlend​(BlendMode blend)`
  Sets the blend.
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setGroupFill​(GroupFill groupFill)`
  Sets the group fill.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPictureFill​(PictureFill pictureFill)`
  Sets the picture fill.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FillEffect

    public FillEffect()
    Instantiates a new fill effect.

  - ### FillEffect

    public FillEffect​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new fill effect.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public FillEffect clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPictureFill

    public PictureFill getPictureFill()
    Gets the picture fill.
    Returns:
      the picture fill

  - ### setPictureFill

    public void setPictureFill​(PictureFill pictureFill)
    Sets the picture fill.
    Parameters:
      `pictureFill` - the new picture fill

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getGroupFill

    public GroupFill getGroupFill()
    Gets the group fill.
    Returns:
      the group fill

  - ### setGroupFill

    public void setGroupFill​(GroupFill groupFill)
    Sets the group fill.
    Parameters:
      `groupFill` - the new group fill

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getBlend

    public BlendMode getBlend()
    Gets the blend.
    Returns:
      the blend

  - ### setBlend

    public void setBlend​(BlendMode blend)
    Sets the blend.
    Parameters:
      `blend` - the new blend